module ECHO_TOP(
   clk, rst_n,
   init, load, fetch,
   idata, odata,
   ack
);

//{{{ input & output
input clk;
input rst_n;

input init;
input load;
input fetch;

output ack;

input [15:0] idata;
output [15:0] odata;
//}}}

//{{{ wire
wire [255:0] hash;

wire Ld_msg;
wire Ld_cnt;
wire busy;
wire start;
//}}}

ECHO_INTERFACE echo_interface(
   .clk(clk), .rst_n(rst_n),
   .load(load), .fetch(fetch),
   .odata(odata), .Ld_cnt(Ld_cnt),
   .busy(busy), .start(start), .ack(ack), .Ld_msg(Ld_msg),
   .hash(hash)
);

ECHO_CORE echo_core(
   .clk(clk), .rst_n(rst_n),
   .init(init), .busy(busy), .Ld_msg(Ld_msg), .idata(idata), 
   .hash(hash),
   .Ld_cnt(Ld_cnt), .start(start)
);

endmodule

// vim:fdm=marker
